diff -r c58edf9c3495 pyqtdeploy/sysroot/sysroot.py
--- a/pyqtdeploy/sysroot/sysroot.py	Thu Apr 05 16:27:05 2018 +0100
+++ b/pyqtdeploy/sysroot/sysroot.py	Wed Apr 11 09:38:23 2018 +0100
@@ -403,7 +403,8 @@
         if version_nr is None:
             version_nr = self.target_py_version_nr
 
-        return get_py_install_path(version_nr, self._target)
+        return get_py_install_path(self.decode_version_nr(version_nr),
+                self._target)
 
     @property
     def host_arch_name(self):
diff -r c58edf9c3495 pyqtdeploy/windows.py
--- a/pyqtdeploy/windows.py	Thu Apr 05 16:27:05 2018 +0100
+++ b/pyqtdeploy/windows.py	Wed Apr 11 09:38:23 2018 +0100
@@ -1,4 +1,4 @@
-# Copyright (c) 2017, Riverbank Computing Limited
+# Copyright (c) 2018, Riverbank Computing Limited
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -35,9 +35,9 @@
 
     from winreg import HKEY_CURRENT_USER, HKEY_LOCAL_MACHINE, QueryValue
 
-    reg_version = '{0}.{1}'.format((version >> 16) & 0xff,
-            (version >> 8) & 0xff)
-    if version >= 0x030500 and target.name.endswith('-32'):
+    major, minor, _ = version
+    reg_version = '{0}.{1}'.format(major, minor)
+    if (major, minor) >= (3, 5) and target.name.endswith('-32'):
         reg_version += '-32'
 
     sub_key_user = 'Software\\Python\\PythonCore\\{}\\InstallPath'.format(
